libebook::SoftBookResourceDirImpl Class Reference documentation

Classes | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libebook::SoftBookResourceDirImpl Class Reference

## Classes
struct | ResourceInfo

## Public Member Functions
| SoftBookResourceDirImpl (librevenge::RVNGInputStream *input, unsigned files, unsigned version)
librevenge::RVNGInputStream * | getDirStream () const
librevenge::RVNGInputStream * | getResourceByName (const char *name) const
librevenge::RVNGInputStream * | getResourceByType (const char *type) const

## Private Types
typedef std::unordered_map< string, ResourceInfo > | ResourceMap_t
typedef std::unordered_map< string, ResourceMap_t::const_iterator > | TypeMap_t

## Private Member Functions
| SoftBookResourceDirImpl (const SoftBookResourceDirImpl &other)
SoftBookResourceDirImpl & | operator= (const SoftBookResourceDirImpl &other)
ResourceMap_t::const_iterator | findResourceByType (const char *type) const
librevenge::RVNGInputStream * | createStream (const ResourceInfo &info) const

## Private Attributes
librevenge::RVNGInputStream * | m_stream
unsigned | m_start
unsigned | m_length
ResourceMap_t | m_resourceMap
TypeMap_t | m_typeMap

## Member Typedef Documentation

## ◆ ResourceMap_t

typedef std::unordered_map<string, ResourceInfo> libebook::SoftBookResourceDirImpl::ResourceMap_t
| private

## ◆ TypeMap_t

typedef std::unordered_map<string, ResourceMap_t::const_iterator> libebook::SoftBookResourceDirImpl::TypeMap_t
| private

## Constructor & Destructor Documentation

## ◆ SoftBookResourceDirImpl() [1/2]

libebook::SoftBookResourceDirImpl::SoftBookResourceDirImpl | ( | const SoftBookResourceDirImpl & | other | ) |
| private

Referenced by operator=(), and SoftBookResourceDirImpl().

## ◆ SoftBookResourceDirImpl() [2/2]

libebook::SoftBookResourceDirImpl::SoftBookResourceDirImpl | ( | librevenge::RVNGInputStream * | input,
|  | unsigned | files,
|  | unsigned | version )

## Member Function Documentation

## ◆ createStream()

librevenge::RVNGInputStream * libebook::SoftBookResourceDirImpl::createStream | ( | const ResourceInfo & | info | ) | const
| private

Referenced by getResourceByName(), and getResourceByType().

## ◆ findResourceByType()

SoftBookResourceDirImpl::ResourceMap_t::const_iterator libebook::SoftBookResourceDirImpl::findResourceByType | ( | const char * | type | ) | const
| private

Referenced by getResourceByType().

## ◆ getDirStream()

librevenge::RVNGInputStream * libebook::SoftBookResourceDirImpl::getDirStream | ( |  | ) | const

## ◆ getResourceByName()

librevenge::RVNGInputStream * libebook::SoftBookResourceDirImpl::getResourceByName | ( | const char * | name | ) | const

## ◆ getResourceByType()

librevenge::RVNGInputStream * libebook::SoftBookResourceDirImpl::getResourceByType | ( | const char * | type | ) | const

## ◆ operator=()

SoftBookResourceDirImpl & libebook::SoftBookResourceDirImpl::operator= | ( | const SoftBookResourceDirImpl & | other | ) |
| private

## Member Data Documentation

## ◆ m_length

unsigned libebook::SoftBookResourceDirImpl::m_length
| private

Referenced by getDirStream(), and SoftBookResourceDirImpl().

## ◆ m_resourceMap

ResourceMap_t libebook::SoftBookResourceDirImpl::m_resourceMap
| mutableprivate

Referenced by findResourceByType(), getResourceByName(), getResourceByType(), and SoftBookResourceDirImpl().

## ◆ m_start

unsigned libebook::SoftBookResourceDirImpl::m_start
| private

Referenced by getDirStream(), and SoftBookResourceDirImpl().

## ◆ m_stream

librevenge::RVNGInputStream* libebook::SoftBookResourceDirImpl::m_stream
| private

Referenced by createStream(), findResourceByType(), getDirStream(), and SoftBookResourceDirImpl().

## ◆ m_typeMap

TypeMap_t libebook::SoftBookResourceDirImpl::m_typeMap
| mutableprivate

Referenced by getResourceByType(), and SoftBookResourceDirImpl().

The documentation for this class was generated from the following file:

- SoftBookResourceDir.cpp